Search Unity

Resolved [3.0.1-pre.1] Push Notification Package not shown in Package Manager

Discussion in 'Player Engagement' started by Tazyooo, Aug 31, 2023.

  1. Tazyooo

    Tazyooo

    Joined:
    May 12, 2020
    Posts:
    8
    Hi,

    I am working with UGS and wanted to add the newest Push Notification Package [3.0.1-pre.1] to my project, however the version that is available in the Package Manager is only [3.0.0-pre.1]. I need the newest version because I am also utilizing the External Dependency Manager which does not work unless I use the latest version of the package (see changelog: https://docs.unity3d.com/Packages/com.unity.services.push-notifications@3.0/changelog/CHANGELOG.html). I am currently on Unity Version 2021.3.21f1. Since I cannot select the newest version in the Package Manager I thought of changing the version manually in the manifest.json file. Would that be ok or is there any better solution to this? Do I maybe just need to upgrade my Unity version?

    pushnotifications.png

    Thanks for your help in advance!
     
  2. MiTschMR

    MiTschMR

    Joined:
    Aug 28, 2018
    Posts:
    487
    Did you try updating using the plus icon in the top left corner of the package manager, typing
    com.unity.services.push-notifications
    for the name and
    3.0.1-pre.1
    for the version and then submitting by clicking on Add?
     
    SebT_Unity and Tazyooo like this.
  3. Tazyooo

    Tazyooo

    Joined:
    May 12, 2020
    Posts:
    8
    Wow that worked like a charm, thank you very much!
     
    MiTschMR likes this.